CliquetOption::arguments Class Reference

Arguments for cliquet option calculation More...

`#include <ql/instruments/cliquetoption.hpp>`

Inheritance diagram for CliquetOption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

Real | accruedCoupon
Real | lastFixing
Real | localCap
Real | localFloor
Real | globalCap
Real | globalFloor
std::vector< Date > | resetDates
Public Attributes inherited from Option::arguments
ext::shared_ptr< Payoff > | payoff
ext::shared_ptr< Exercise > | exercise

## Detailed Description

Arguments for cliquet option calculation